Skip to main content
GET
Get a custom field by ID
You’re viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.

Authorizations

Authorization
string
header
required

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

200

id
string
required

Unique custom field identifier

name
string
required

Custom field name

type
enum<string>
required

Field type: DOCUMENT or CONTACT

Available options:
DOCUMENT,
CONTACT
inputType
enum<string>
required

Input type: TEXT, NUMBER, DATE, CHECKBOX, SELECT, TEXTAREA, EMAIL, PHONE, or URL

Available options:
TEXT,
NUMBER,
DATE,
EMAIL,
PHONE,
URL,
BOOLEAN,
SELECT,
JSON,
TEXTAREA
defaultValue
string | null
required

Default value for this field

required
boolean
required

Whether this field is required

options
string | null
required

Options for SELECT type fields as a JSON-encoded string array, for example ["Small","Large"]

createdAt
string<date-time>
required

Date and time when custom field was created

updatedAt
string<date-time>
required

Date and time when custom field was last updated